Name:          python-urwid
Version:       2.1.2
Release:       5
Summary:       Console user interface library
License:       LGPLv2+
URL:           http://excess.org/urwid/
Source0:       https://pypi.python.org/packages/source/u/urwid/urwid-%{version}.tar.gz
Patch0:        fix-use-trio-lowlevel-instead-of-trio.patch
Patch1:        Add-script-for-detecting-character-widths-and-dumping-width-tables.patch
Patch2:        fix-test-failure-due-to-python11.patch

%description
Urwid is a console user interface library for Python. It includes
many features useful for text console application developers

%package -n python3-urwid
Summary:       %summary
%{?python_provide:%python_provide python3-urwid}
BuildRequires: python3-devel python3-setuptools python3-test /usr/bin/2to3 gcc glibc-all-langpacks

%description -n python3-urwid
Urwid is a console user interface library for Python. It includes
many features useful for text console application developers

%prep
%autosetup -n urwid-%{version} -p1
find urwid -type f -name "*.py" -exec sed -i -e '/^#!\//, 1d' {} \;
find urwid -type f -name "*.py" -exec chmod 644 {} \;

%build
%py3_build
find examples -type f -exec chmod 0644 \{\} \;

%check
PYTHON=%{__python3} %{__python3} setup.py test

%install
%py3_install

%files -n python3-urwid
%doc README.rst examples docs COPYING
%{python3_sitearch}/urwid
%{python3_sitearch}/urwid-%{version}*.egg-info

%changelog
* Sat Jul 22 2023 xu_ping<707078654@qq.com> - 2.1.2-5
- fix test failure due to python11

* Tue Jan 17 2023 zhangliangpengkun<zhangliangpengkun@xfusion.com> - 2.1.2-4
- Add-script-for-detecting-character-widths-and-dumping-width-tables.patch

* Fri Jan 13 2023 zhangliangpengkun<zhangliangpengkun@xfusion.com> - 2.1.2-3
- fix-use-trio-lowlevel-instead-of-trio.patch

* Tue Jul 27 2021 liyanan <liyanan32@huawei.com> - 2.1.2-2
- Add buildrequires glibc-all-langpacks to fix build failed

* Tue Jul 27 2021 liyanan <liyanan32@huawei.com> - 2.1.2-1
- update to 2.1.2

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 2.3-7
- Completing build dependencies

* Thu Oct 22 2020 zhanghua <zhanghua40@huawei.com> - 2.3-6
- remove python2 subpackage

* Fri Nov 22 2019 sunguoshuai <sunguoshuai@huawei.com> - 2.3-5
- Package init.
